---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/errors/12100#article
headline: "12100: Document parse failure"
url: https://www.twilio.com/docs/api/errors/12100
inLanguage: en
dateModified: 2026-03-11T18:38:39.000Z
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# 12100: Document parse failure

Log Level: ERROR

## Description

Twilio was unable to parse the provided XML Document.

Your TwiML document must be a valid XML Document, or Twilio will not be able to read your document. You can debug XML parsing errors by getting the response body in the [debugger](/user/account/debugger), and then using an online validation tool like the [W3C Validation Service](http://validator.w3.org/#validate_by_input).

### Possible causes

* There is a leading space, or an empty line, before the XML type header (i.e. `<?xml version="1.0" encoding="UTF-8"?>`)
* The root `<Response>` element is missing
* There is an unclosed element
* There is an unquoted attribute
* There is an improperly nested element

### Possible solutions

* Make sure there is no extra space or line at the beginning of the file before the type header
* Make sure your root element is `<Response>`
* XML is case sensitive, make sure your start and end elements match case. (Twilio elements begin with a capital letter)
* Make sure characters such as `< >` and & are escaped properly, as `&lt; &gt; and &amp;`.
